scala.tools.nsc.backend.jvm.GenASM

# JBeanInfoBuilder

###
Related Doc: package GenASM

#### class JBeanInfoBuilder extends JBuilder

builder of bean info classes

Source
  GenASM.scala

Linear Supertypes
JBuilder, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JBeanInfoBuilder
2. JBuilder
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JBeanInfoBuilder(bytecodeWriter: GenASM.BytecodeWriter, needsOutfile: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JBeanInfoBuilder to any2stringadd[JBeanInfoBuilder] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JBeanInfoBuilder, B)

   Implicit information
     This member is added by an implicit conversion from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### val CLASS_CONSTRUCTOR_NAME: String

   Definition Classes
     JBuilder

7. #### val EMPTY_STRING_ARRAY: Array[String]

   Definition Classes
     JBuilder

8. #### val INNER_CLASSES_FLAGS: Int

   Definition Classes
     JBuilder

9. #### val INSTANCE_CONSTRUCTOR_NAME: String

   Definition Classes
     JBuilder

10. #### def addInnerClasses(csym: Global.Symbol, jclass: ClassVisitor, isMirror: Boolean = false): Unit

    Definition Classes
      JBuilder

11. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def createJAttribute(name: String, b: Array[Byte], offset: Int, len: Int): Attribute

    Definition Classes
      JBuilder

14. #### def createJClass(access: Int, name: String, signature: String, superName: String, interfaces: Array[String]): ClassWriter

    Returns a new ClassWriter for the class given by arguments.

    Returns a new ClassWriter for the class given by arguments.

    access

      the class's access flags. This parameter also indicates if the class is deprecated.

    name

      the internal name of the class.

    signature

      the signature of this class. May be `null` if the class is not a generic one, and does not extend or implement generic classes or interfaces.

    superName

      the internal of name of the super class. For interfaces, the super class is `Object`. May be `null`, but only for the `Object` class.

    interfaces

      the internal names of the class's interfaces (see `getInternalName`). May be `null`.

    Definition Classes
      JBuilder

15. #### def descriptor(s: Global.Symbol): String

    Definition Classes
      JBuilder

16. #### def descriptor(k: Global.icodes.TypeKind): String

    Definition Classes
      JBuilder

17. #### def descriptor(t: Global.Type): String

    Definition Classes
      JBuilder

18. #### def ensuring(cond: (JBeanInfoBuilder) ⇒ Boolean, msg: ⇒ Any): JBeanInfoBuilder

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (JBeanInfoBuilder) ⇒ Boolean): JBeanInfoBuilder

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): JBeanInfoBuilder

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): JBeanInfoBuilder

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

24. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

25. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to StringFormat[JBeanInfoBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

26. #### def genBeanInfoClass(clasz: Global.icodes.IClass): Unit

    Generate a bean info class that describes the given class.

27. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

29. #### val innerClassBuffer: LinkedHashSet[Global.Symbol]

    Definition Classes
      JBuilder

30. #### def innerClassSymbolFor(s: Global.Symbol): Global.Symbol

    For given symbol return a symbol corresponding to a class that should be declared as inner class.

    For given symbol return a symbol corresponding to a class that should be declared as inner class.

    For example: class A { class B object C }

    then method will return: NoSymbol for A, the same symbol for A.B (corresponding to A$B class), and A$C$ symbol for A.C.

    Definition Classes
      JBuilder

31. #### def isDeprecated(sym: Global.Symbol): Boolean

    Definition Classes
      JBuilder

32. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

33. #### def javaArrayType(elem: Type): Type

    Definition Classes
      JBuilder

34. #### def javaName(sym: Global.Symbol): String

    Return the name of this symbol that can be used on the Java platform.

    Return the name of this symbol that can be used on the Java platform. It removes spaces from names.

    Special handling: scala.Nothing erases to scala.runtime.Nothing$ scala.Null erases to scala.runtime.Null$

    This is needed because they are not real classes, and they mean 'abrupt termination upon evaluation of that expression' or null respectively. This handling is done already in GenICode, but here we need to remove references from method signatures to these types, because such classes cannot exist in the classpath: the type checker will be very confused.

    Definition Classes
      JBuilder

35. #### def javaType(s: Global.Symbol): Type

    Definition Classes
      JBuilder

36. #### def javaType(t: Global.Type): Type

    Definition Classes
      JBuilder

37. #### def javaType(tk: Global.icodes.TypeKind): Type

    Definition Classes
      JBuilder

38. #### val mdesc_arglessvoid: String

    Definition Classes
      JBuilder

39. #### def mkArray(xs: Traversable[String]): Array[String]

    Specialized array conversion to prevent calling java.lang.reflect.Array.newInstance via TraversableOnce.toArray

    Specialized array conversion to prevent calling java.lang.reflect.Array.newInstance via TraversableOnce.toArray

    Definition Classes
      JBuilder

40. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

41. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### def writeIfNotTooBig(label: String, jclassName: String, jclass: ClassWriter, sym: Global.Symbol): Unit

    Definition Classes
      JBuilder

49. #### def →[B](y: B): (JBeanInfoBuilder, B)

    Implicit information
      This member is added by an implicit conversion from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from JBuilder

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JBeanInfoBuilder to any2stringadd[JBeanInfoBuilder]

### Inherited by implicit conversion StringFormat from JBeanInfoBuilder to StringFormat[JBeanInfoBuilder]

### Inherited by implicit conversion Ensuring from JBeanInfoBuilder to Ensuring[JBeanInfoBuilder]

### Inherited by implicit conversion ArrowAssoc from JBeanInfoBuilder to ArrowAssoc[JBeanInfoBuilder]

### Ungrouped